Foxit PDF SDK

Public Member Functions | List of all members
foxit::addon::conversion::HTML2PDFRelatedResourceArray Class Reference

Inherits Object.

## Public Member Functions
| HTML2PDFRelatedResourceArray ()
| Constructor.
| HTML2PDFRelatedResourceArray (const HTML2PDFRelatedResourceArray &other)
| Constructor, with another array object. More...
| ~ HTML2PDFRelatedResourceArray ()
| Destructor.
void | Add (const HTML2PDFRelatedResource &element)
| Add an element to the end of current array. More...
HTML2PDFRelatedResource | GetAt (size_t index) const
| Retrieve a copy of the element at position specified by index in current array. More...
size_t | GetSize () const
| Get the size of elements in current array. More...
void | InsertAt (size_t index, const HTML2PDFRelatedResource &element)
| Insert an element before the position specified by index. More...
HTML2PDFRelatedResourceArray & | operator= (const HTML2PDFRelatedResourceArray &other)
| Assign operator. More...
HTML2PDFRelatedResource & | operator[] (size_t index) const
| Retrieve a reference to the element at position specified by index in current array. More...
void | RemoveAll ()
| Remove all the element from current array. More...
void | RemoveAt (size_t index)
| Remove the element in position specified by index. More...

## Detailed Description

This class represents an array of related resource data objects.

## Constructor & Destructor Documentation

## ◆ HTML2PDFRelatedResourceArray()

foxit::addon::conversion::HTML2PDFRelatedResourceArray::HTML2PDFRelatedResourceArray | ( | const HTML2PDFRelatedResourceArray & | other | ) |

Constructor, with another array object.

Parameters

  [in] | other | Another array object.

## Member Function Documentation

## ◆ Add()

void foxit::addon::conversion::HTML2PDFRelatedResourceArray::Add | ( | const HTML2PDFRelatedResource & | element | ) |

Add an element to the end of current array.

Parameters

  [in] | element | New element to be added to current array.

Returns
  None.

## ◆ GetAt()

HTML2PDFRelatedResource foxit::addon::conversion::HTML2PDFRelatedResourceArray::GetAt | ( | size_t | index | ) | const

Retrieve a copy of the element at position specified by index in current array.

Parameters

  [in] | index | An index to specify which element is to be retrieved.

Returns
  A copy of an element.

## ◆ GetSize()

size_t foxit::addon::conversion::HTML2PDFRelatedResourceArray::GetSize | ( |  | ) | const

Get the size of elements in current array.

Returns
  The size.

## ◆ InsertAt()

void foxit::addon::conversion::HTML2PDFRelatedResourceArray::InsertAt | ( | size_t | index,
|  | const HTML2PDFRelatedResource & | element
| ) |  |

Insert an element before the position specified by index.

Parameters

  [in] | index | An index to specify where to insert the new element. Valid range: from 0 to (size-1). size is the size of elements in current array.
  [in] | element | New element to be inserted to current array.

Returns
  None.

## ◆ operator=()

HTML2PDFRelatedResourceArray& foxit::addon::conversion::HTML2PDFRelatedResourceArray::operator= | ( | const HTML2PDFRelatedResourceArray & | other | ) |

Assign operator.

Parameters

  [in] | other | Another array object, whose value will be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator[]()

HTML2PDFRelatedResource& foxit::addon::conversion::HTML2PDFRelatedResourceArray::operator[] | ( | size_t | index | ) | const

Retrieve a reference to the element at position specified by index in current array.

Parameters

  [in] | index | An index to specify which element is to be retrieved.

Returns
  Reference to an element.

## ◆ RemoveAll()

void foxit::addon::conversion::HTML2PDFRelatedResourceArray::RemoveAll | ( |  | ) |

Remove all the element from current array.

Returns
  None.

## ◆ RemoveAt()

void foxit::addon::conversion::HTML2PDFRelatedResourceArray::RemoveAt | ( | size_t | index | ) |

Remove the element in position specified by index.

Parameters

  [in] | index | An index to specify which element is to be removed. Valid range: from 0 to (size-1). size is the size of elements in current array.

Returns
  None.